SNES9x for Old 3DS

Discussion in '3DS - Homebrew Development and Emulators' started by bubble2k16, Jul 25, 2016.

  1. Dracari

    Dracari GBAtemp Advanced Maniac

    Member
    8
    Apr 5, 2009
    United States
    hmm i wonder what about 1.54.1 or 1.55? same cores in use?
     
  2. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    24
    GBAtemp Patron
    the_randomizer is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    1.52 would be the earliest build with accurate audio emulation, not nearly as demanding.
     
  3. Dracari

    Dracari GBAtemp Advanced Maniac

    Member
    8
    Apr 5, 2009
    United States
    figured, bet that the MSU-1 Audio features w/ 1.54.1/1.55+ would just bog down even an N3DS, bummer.
     
  4. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    24
    GBAtemp Patron
    the_randomizer is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    It's not really necessary on 3DS. Just the accurate audio would be enough IMO. But yeah, that'll be a cold day in hell.
     
  5. Dracari

    Dracari GBAtemp Advanced Maniac

    Member
    8
    Apr 5, 2009
    United States
    I hear Hell Michigan freezes over alot XD, Joking aside thanks for replying in kind, i started taking intrest in atleast those bare minimum versions after being introduced to MSU-1 Audio packs for A Link to the Past. some are quite awesome!
     
  6. Dodain47

    Dodain47 GBAtemp Advanced Maniac

    Member
    12
    Jan 1, 2017
    Austria
    Bubble said that MSU-1 support isn´t very difficult to add to Snes9x for the 3DS.
    It´s just that he wants someone else to implement it.
     
  7. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    24
    GBAtemp Patron
    the_randomizer is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    In order for that to happen, it would absolutely require Blargg's S-SMP core to work on 3DS/N3DS as well, which I don't see anyone willing to implement.
    But, at least I have Switch for portable SNES, which is pretty decent emulation :P
     
    Last edited by the_randomizer, Sep 22, 2019
  8. Stellar Bull

    Stellar Bull GBAtemp Regular

    Member
    4
    Jul 20, 2014
    Is there any way to disable interpolation? Pixel perfect looks good but pretty small on my 2DS, and all the other options look blurry.
     
  9. Johnny675

    Johnny675 Newbie

    Newcomer
    1
    Sep 10, 2019
    United States
    Tenshi no Uta - Shiroki Tsubasa no Inori (J)
    Is unplayable one you patch it with English translation is there any way for you to update the core so this can be played I know it's only one game just asking
    Thank you for pouring this emulator over to the 3DS and doing such a great job with the other two it'd be great if you would be able to make a standalone PlayStation 1 emulator
    Or a Game Gear emulator that would be wonderful
     
  10. Rahkeesh

    Rahkeesh GBAtemp Maniac

    Member
    7
    Apr 3, 2018
    United States
    It would look like raggity crap without. You can see for yourself if you try the same in Retroarch and turn off bilinear interpolation. There just isn't enough available resolution on the 3DS to scale it up well.
     
    FateForWindows likes this.
  11. cezar

    cezar Newbie

    Newcomer
    1
    Oct 27, 2017
    Brazil
    Still being able to upgrade to a version above 1.30? Because there are games that still don't run

    100% or with video problems the case of top gear 3000
     
  12. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    24
    GBAtemp Patron
    the_randomizer is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Project's been abandoned it seems.
     
  13. cezar

    cezar Newbie

    Newcomer
    1
    Oct 27, 2017
    Brazil
    [QUOTE = "the_randomizer, post: 8837622, membro: 278342"] O projeto foi abandonado ao que parece. [/ CITAÇÕES] 6

    — Posts automatically merged - Please don't double post! —

    can anyone tell me if there is still support for snes9x for 3ds or will there be new updates?
     
  14. lone_wolf323

    lone_wolf323 GBAtemp Addict

    Member
    9
    May 27, 2011
    Canada
    Bubbles has been busy. So who knows if they are going to get anything new released soon. They might, they might not. If its bugging you that much. Why not get a new 3ds or 2ds. Its a step up from the old 3ds nintendo had.
     
  15. cezar

    cezar Newbie

    Newcomer
    1
    Oct 27, 2017
    Brazil
    i already have the new 3ds plus the snes9x 1.30 emulator doesn't run some 100% top gear 3000 games
     
  16. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    24
    GBAtemp Patron
    the_randomizer is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Snes9x 1.30 is ancient and not very compatible.
     
  17. FateForWindows

    FateForWindows GBAtemp Maniac

    Member
    6
    Feb 8, 2017
    United States
    There will be new updates soon, it's just that progress has been slow and I haven't been able to do much. I've got everything set up to compile it and I've been working on fixing some issues, but I haven't been able to do stuff like fixing Tenshi no Uta thanks to my subpar programming skills.
    He was referring to this 3ds port's 1.30, not SNES9x itself.
     
    Last edited by FateForWindows, Oct 25, 2019
    TheBeverage likes this.
  18. cezar

    cezar Newbie

    Newcomer
    1
    Oct 27, 2017
    Brazil
    [QUOTE = "FateForWindows, post: 8837738, membro: 414191"] Em breve, haverá novas atualizações, é só que o progresso foi lento e não pude fazer muita coisa. Eu tenho tudo configurado para compilá-lo e tenho trabalhado na correção de alguns problemas, mas não consegui fazer coisas como corrigir o Tenshi no Uta, graças às minhas habilidades de programação.

    Ele estava se referindo à porta 1.30 desta porta do 3ds, e não ao próprio SNES9x. [/ QUOTE]
    Thanks for the answer
     
  19. TheBeverage

    TheBeverage Member

    Newcomer
    2
    Mar 13, 2015
    United States
    Great news!
     
  20. cezar

    cezar Newbie

    Newcomer
    1
    Oct 27, 2017
    Brazil
    I want one day to be able to play top gear 3000 on a new 3ds game running 100% and also other snes games not running yet 100%

    I appreciate your effort to work with support for this snex9x emulator for old and new 3ds
     
Quick Reply
Draft saved Draft deleted
Loading...